body {
    background-color: #b3c981;
    overflow: hidden;
    transition: .3s;
    margin: 0;
    padding: 0;
    transition: .3s;
}

html,
body {
    height: 100%;
}

.content {
    perspective: 1500px;
}

.wrapper {
    width: 950px;
    margin: 100px auto 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    transform-style: preserve-3d;
}

.box {
    width: 120px;
    height: 120px;
    margin: 12px 0;
    cursor: pointer;
    transform-style: preserve-3d;
    transition: .3s;
}

.box>div {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    font-size: 45px;
    color: #fff;
    text-shadow: 0px 3px 10px rgba(0, 0, 0);
    border: 8px solid rgba(0, 0, 0, .1);
    text-align: center;
    line-height: 100px;
    position: absolute;
    font-weight: bold;
}


/* 制作盒子 */


/* 第一向前移半个盒子的大小（前）
第二个向后移动半个盒子的大小（后）
第三个先沿着X轴旋转90度再想Z轴平移半个盒子的大小（上）
第四个先沿着X轴旋转90度再想Z轴反向平移半个盒子的大小（下）
第三个先沿着Y轴旋转90度再想Z轴平移半个盒子的大小（右）
第三个先沿着Y轴旋转90度再想Z轴反向平移半个盒子的大小（左）
 */

.box>div:nth-of-type(1) {
    transform: translateZ(60px)
}

.box>div:nth-of-type(2) {
    transform: translateZ(-60px)
}

.box>div:nth-of-type(3) {
    transform: rotateX(90deg) translateZ(60px);
}

.box>div:nth-of-type(4) {
    transform: rotateX(90deg) translateZ(-60px);
}

.box>div:nth-of-type(5) {
    transform: rotateY(90deg) translateZ(60px);
}

.box>div:nth-of-type(6) {
    transform: rotateY(90deg) translateZ(-60px);
}